!set title=Développer/réduire 2.
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=fr
author=Guerimand Fabrice
email=fwguerima@free.fr
computeanswer=no
precision=10000

ansorder=r
varcnt=12
prevarcnt=11
postvarcnt=0
replycnt=1
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!randitem 2,3,5

val6=$[rint($(tmp0))]
tmp0=!randitem 2,3,5,7,11

val7=$[rint($(tmp0))]

!ifval $val6=$val7
val7=$[rint(11)]
!endif
val8=$[rint($val6*$val7)]
tmp0=!randint 2, 10

val9=$[rint($(tmp0))]
tmp0=!randint 2, 10

val10=$[rint($(tmp0))]
tmp=!trim (\sqrt{$val6}+\sqrt{$val8})^2,$val6+$val8+2*$val6*sqrt($val7)	(\sqrt{$val6}-\sqrt{$val8})^2,$val6+$val8-2*$val6*sqrt($val7)	($val9\sqrt{$val6}+\sqrt{$val8})(\sqrt{$val6}-$val9\sqrt{$val8}),$val9*$val6-$val9*$val8+(1-$val9^2)*$val6*sqrt($val7)	($val9\sqrt{$val6}+\sqrt{$val8})^2,$val9^2*$val6+$val8+$val9*$val6*sqrt($val7)	($val10+\sqrt{$val6})($val9-\sqrt{$val8}),$val10*$val9-$val10*\sqrt($val8)+$val9*sqrt($val6)-$val6*sqrt($val7)
val11=!translate internal $	\
$ to ;; in $tmp
tmp=!translate internal $	$ to ; in $val11

tmp=!nonempty rows $tmp
tmp=!randrow $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val12=$(tmp0)
tmp0=!item 1 of $val12

val13=$(tmp0)
tmp0=!item 2 of $val12

val14=$(tmp0)
t_=!replace internal \( by ( in $val14;
tmp0=!exec maxima $t_

val14=$(tmp0)
replytype1=algexp
replyname1=Réponse
replygood1=$val14
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Développer et réduire l'expression 
!insmath $val13
$().<br>	(vous devez taper sqrt(2) pour 
!insmath \sqrt{2}
$() )
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=13
embedcnt=0
